gnutls_x509_crt_set_policy(3)

NAME
gnutls_x509_crt_set_policy - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_policy(gnutls_x509_crt_t crt, const struct gnutls_x509_policy_st * policy, unsigned int critical);

ARGUMENTS

gnutls_x509_crt_t crt
    should contain a gnutls_x509_crt_t structure

const struct gnutls_x509_policy_st * policy
    A pointer to a policy structure.

unsigned int critical
    use non-zero if the extension is marked as critical

DESCRIPTION
This function will set the certificate policy extension (2.5.29.32). Multiple calls to this function append a new policy. Note the maximum text size for the qualifier GNUTLS_X509_QUALIFIER_NOTICE is 200 characters. This function will fail with GNUTLS_E_INVALID_REQUEST if this is exceeded.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.1.5

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/